%define anolis_release 2

%global srcname selenium

Name:          python-%{srcname}
Version:       3.141.0
Release:       %{anolis_release}%{?dist}
Summary:       Python bindings for Selenium
License:       ASL 2.0
URL:           http://docs.seleniumhq.org/
Source:        %pypi_source

BuildArch:     noarch

Patch1:        selenium-use-without-bundled-libs.patch

%description
The selenium package is used automate web browser interaction from Python.

Several browsers/drivers are supported (Firefox, Chrome, Internet Explorer,
PhantomJS), as well as the Remote protocol.


%package -n python3-%{srcname}
Summary:       Python bindings for Selenium

BuildRequires: pyproject-rpm-macros
BuildRequires: python3-devel
Requires:      python3-rdflib
BuildArch:     noarch

%description -n python3-%{srcname}
The selenium package is used automate web browser interaction from Python.

Several browsers/drivers are supported (Firefox, Chrome, Internet Explorer,
PhantomJS), as well as the Remote protocol.

%prep
%autosetup -p2 -n %{srcname}-%{version}
find . -type f -name "*.py" -exec sed -i '1{/^#!/d;}' {} \;

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}
sed -ie '/x_ignore_nofocus.so$/d' %pyproject_files
rm -f %{buildroot}%{python3_sitelib}/selenium/webdriver/firefox/amd64/x_ignore_nofocus.so
rm -f %{buildroot}%{python3_sitelib}/selenium/webdriver/firefox/x86/x_ignore_nofocus.so


%files -n python3-%{srcname} -f %pyproject_files
%license LICENSE


%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 3.141.0-2
- Rebuild with python3.11

* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 3.141.0-1
- Import package for anolis 23
